Skip to main content
Operations Management/Tenant Management (Plus)/Ticket Operations
GETTicket OperationsSince 3.0.0SynchronousAuth Required

QueryTicketFlowCollection

QueryTicketFlowCollection

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • stateStringRequired

      当前状态。

    • statusStringRequired

      状态信息。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • isDefaultBooleanRequired

      是否默认。

    • flowsListRequired

      See flows.

      • uuidStringRequired

        The resource UUID.

      • nameStringRequired

        The resource name.

      • descriptionStringRequired

        The detailed description of the resource.

      • parentFlowUuidStringRequired

        No description provided.

      • flowContextStringRequired

        No description provided.

      • flowContextTypeStringRequired

        No description provided.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

      • collectionUuidStringRequired

        采集UUID。

Endpoint

GET/zstack/v1/tickets/flow-collections

/zstack/v1/tickets/flow-collections

Operation ID

QueryTicketFlowCollection

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/tickets/flow-collections' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "aafa04d2d3b447bb866a62457aa24fdd", "name": "collection name", "state": "Enabled", "status": "Valid", "isDefault": false, "flows": [] } ] }

Change History

This API has no change history records yet.

View all change history